import Taro from "@tarojs/taro"
import { View, Image, ScrollView } from "@tarojs/components"
import withLayout from '@/layouts'
import CustomNav from "@/components/CustomNav"
import addImg from '@/assets/bank/addBank.png'
import BankCard from './Card'
import './style.less'

export default withLayout((props) => {
  const unBind = (val) => {
    Taro.showModal({
      content: `确认解绑?`,
      success: function (res) {
        if (res.confirm) {
          // deleteRoom(val.roomId).then(() => {
          Taro.showToast({
            title: '已经解除',
            icon: 'none',
          })
          // getRoomList({ hotelId: hotel.hotelId }).then((vals) => {
          //   setDetail(vals.records || [])
          // })
          // })
        }
      }
    })
    console.log(val)
  }
  const addCard = () => {
    Taro.navigateTo({ url: '/pages/addBankCard/index' });
  }
  return (
    <View className='page-index'>
      <View className='index-navbar'>
        <CustomNav title='我的银行卡' />
      </View>
      <View className='index-container bankCardBox'>
        <ScrollView scrollY style={{ height: 'calc(100% - 89px)' }}>
          <BankCard type='abc' value='6217001700003637161' onChange={() => unBind(6)} />
          <BankCard type='boc' value='6217001700003637881' onChange={() => unBind(6)} />
          <BankCard type='ccb' value='6217001700003637651' onChange={() => unBind(6)} />
        </ScrollView>
        <View className='addBank' onClick={addCard}>
          <Image src={addImg} className='addIcon' />
          添加银行卡
        </View>
      </View>
    </View>
  )
})
