import { useState } from "react"
import Taro from "@tarojs/taro"
import { View, Image, Textarea } from "@tarojs/components"
import withLayout from '@/layouts'
import CustomNav from "@/components/CustomNav"
import MyButton from "@/components/MyButton"
import editImg from '@/assets/user/edit.png'
import './style.less'

export default withLayout((props) => {
  const [value, setValue] = useState()
  const [show, setShow] = useState(true)
  const onChange=(e)=>{
    if (e.detail.value) {
      setValue(e.detail.value)
    }else{
      setShow(true)
    }
  }
  const handleSumbit = () => { 
    if (show) {
      Taro.showToast({
        title: '请输入您的建议',
        icon: 'none',
      })
    } else{
      Taro.showToast({
        title: '已反馈',
        icon: 'none',
      })
      Taro.navigateBack({delta:1})
    }
  }
  return (
    <View className='page-index'>
      <View className='index-navbar'>
        <CustomNav title='意见反馈' />
      </View>
      <View className='index-container feedback'>
        <View className='content'>
          <Textarea
            value={value}
            onFocus={()=>setShow(false)}
            onBlur={onChange}
            className='value'
          />
          {
            show && 
            <View className='defaultValue'>
              <Image src={editImg} className='edit' />
              请留下您宝贵的意见和建议！
            </View>
          }

        </View>
        <View className='bottomBtn'>
          <MyButton value='提交' onClick={handleSumbit} />
        </View>
      </View>
    </View>
  )
})
