import { View, Image, ScrollView } from "@tarojs/components"
import CustomNav from "@/components/CustomNav"
import Jianbian from "@/components/Jianbian"
import withLayout from '@/layouts'
import banner1 from '@/assets/banner/1.jpg'
import banner2 from '@/assets/banner/2.jpg'
import clockImg from '@/assets/machinery/date.png'
import micon from '@/assets/machinery/micon2.png'
import './style.less'

export default withLayout((props) => {
  return (
    <View className='page-index'>
      <View className='index-navbar'>
        <CustomNav title='查看详情' />
      </View>
      <View className='index-container'>
        <ScrollView scrollY style={{ height: '100%' }}>
          <Image src={banner1} mode='aspectFill' className='detailHead' />
          <View className='detailContent'>
            <Jianbian status='1' />
            <View className='detialName'>收割机001--S001</View>
            <View className='detailTime'>
              <Image src={clockImg} className='clockImg' />
              距离上次使用时间为三天
            </View>
            <View className='title'>
              <Image src={micon} className='detailIcon' />
              作业详情
              <Image src={micon} className='detailIcon' />
            </View>
            <View>
              <Image src={banner1} className='contentImg' />
              <View className='contentText'>6666666</View>
              <Image src={banner2} className='contentImg' />
              <Image src={banner1} className='contentImg' />
            </View>
          </View>
        </ScrollView>
      </View>
    </View>
  )
})
