import Taro from "@tarojs/taro"
import { View, ScrollView } from "@tarojs/components"
import CustomNav from "@/components/CustomNav"
import withLayout from '@/layouts'
import MachineryCard from './Card'
import './style.less'

export default withLayout((props) => {
  const goDetail=()=>{
    Taro.navigateTo({ url: '/pages/machineryDetail/index' });
  }
  const goMap=()=>{
    Taro.navigateTo({ url: '/pages/machineryMap/index' });
  }
  return (
    <View className='page-index'>
      <View className='index-navbar'>
        <CustomNav title='农机列表' />
      </View>
      <View className='index-container machineryListContent'>
        <ScrollView scrollY style={{ height: '100%' }}>
          <MachineryCard onClick={()=>goDetail()}  goMap={()=>goMap()} />
          <MachineryCard />
          <MachineryCard />
        </ScrollView>
      </View>
    </View>
  )
})
