import Taro from "@tarojs/taro"
import { useState } from "react"
import { View, Map, Image } from "@tarojs/components"
import withLayout from '@/layouts'
import CustomNav from "@/components/CustomNav"
import m1 from '@/assets/machinery/greenMachinery.png'
import m2 from '@/assets/machinery/orangeMachinery.png'
import picon from '@/assets/comm/position.png'
import './style.less'

export default withLayout((props) => {
  const [show, setShow] = useState(false)
  const markers = [
    {
      id: 1,
      longitude: 112.105348,
      latitude: 32.697352,
      iconPath: m1,
      width: 50,
      height: 50
    },
    {
      id: 2,
      longitude: 112.120295,
      latitude: 32.686656,
      iconPath: m2,
      width: 50,
      height: 50
    }
  ]
  const handleClick = (e) => {
    console.log(e.markerId)
    setShow(true)
  }
  const goDetail = () => {
    Taro.navigateTo({ url: '/pages/machineryDetail/index' });
  }
  const goList=()=>{
    Taro.navigateTo({ url: '/pages/machineryList/index' });
  }
  return (
    <View className='page-index'>
      <View className='index-navbar'>
        <CustomNav title='我的农机' />
      </View>
      <View className='index-container machineryMap'>
        <Map
          longitude={112.116846}
          latitude={32.688935}
          markers={markers}
          className='map'
          onMarkerTap={handleClick}
          onRegionChange={() => setShow(false)}
        />
        {
          show &&
          <View className='showModel'>
            <View className='goList' onClick={goList}>{'<'}{'<'} 农机列表</View>
            <View className='title'>
              <View className='name'>收割机001--S001</View>
              <View className='action' onClick={goDetail}>详情 {">"}{">"}</View>
            </View>
            <View className='position'>
              <Image src={picon} className='picon' />
              当前位置：&nbsp;&nbsp;邓州市陈楼
            </View>
          </View>
        }

      </View>
    </View>
  )
})
