import Taro from "@tarojs/taro"
import { View, ScrollView } from "@tarojs/components"
import withLayout from '@/layouts'
import CustomNav from "@/components/CustomNav"
import WalletCard from "@/components/walletCard"
import ListTitle from "@/components/ListTitle"
import './style.less'

export default withLayout((props) => {
  const { router } = props
  let { balance } = router.params
  const goWithdrawal = () => { 
    Taro.navigateTo({ url: `/pages/withdrawal/index?balance=${balance}` });
  }
  return (
    <View className='page-index'>
      <View className='index-navbar'>
        <CustomNav title='我的钱包' />
      </View>
      <View className='index-container wallet'>
        <ScrollView scrollY style={{ height: '100%' }}>
          <WalletCard onClick={goWithdrawal} value={balance} />
          <ListTitle value='零钱明细' />
          <View className='dayClass'>2022-03-10</View>
          <View className='walletCell'>
            <View className='content'>
              <View>提现</View>
              <View className='withDrawalDetail'>申请提现，建设银行5321532154646465
                4135456465465</View>
            </View>
            <View className='money'>-9000元</View>
          </View>
          <View className='walletCell'>
            <View className='content'>
              <View>提现</View>
              <View className='withDrawalDetail'>申请提现，建设银行5321532154646465
                4135456465465</View>
            </View>
            <View className='money'>-9元</View>
          </View>

          <View className='dayClass'>2022-03-10</View>
          <View className='walletCell'>
            <View className='content'>
              <View>收入</View>
              <View className='withDrawalDetail'>取消订单-退回未使用金额</View>
            </View>
            <View className='money revenue'>+200元</View>
          </View>
          <View className='walletCell'>
            <View className='content'>
              <View>提现</View>
              <View className='withDrawalDetail'>申请提现，建设银行5321532154646465
                4135456465465</View>
            </View>
            <View className='money'>-90元</View>
          </View>
        </ScrollView>
      </View>
    </View>
  )
})
